{
  "model": {
      "type": "minecraft:range_dispatch",
      "property": "minecraft:custom_model_data",
      "entries": [
        {
          "threshold": 0,
          "model": {
            "type": "minecraft:model",
            "model": "vb:item/custom_block/fish_trap_0"
          }
        },
        {
          "threshold": 1,
          "model": {
            "type": "minecraft:model",
            "model": "vb:item/custom_block/fish_trap_1"
          }
        },
        {
          "threshold": 2,
          "model": {
            "type": "minecraft:model",
            "model": "vb:item/custom_block/fish_trap_2"
          }
        },
        {
          "threshold": 3,
          "model": {
            "type": "minecraft:model",
            "model": "vb:item/custom_block/fish_trap_3"
          }
        },
        {
          "threshold": 4,
          "model": {
            "type": "minecraft:model",
            "model": "vb:item/custom_block/fish_trap_4"
          }
        },
        {
          "threshold": 5,
          "model": {
            "type": "minecraft:model",
            "model": "vb:item/custom_block/fish_trap_5"
          }
        }
      ],
      "fallback": {
        "type": "minecraft:model",
        "model": "vb:item/custom_block/fish_trap_0"
      }
    },
    "on_false": {
      "type": "minecraft:model",
      "model": "vb:item/custom_block/fish_trap_0"
    }
  }